org.codehaus.plexus

## Class SimplePlexusContainerManager

- java.lang.Object
- - org.codehaus.plexus.SimplePlexusContainerManager

All Implemented Interfaces:
  Contextualizable, Initializable, Startable, PlexusContainerManager

    public class SimplePlexusContainerManager
    extends Object
    implements PlexusContainerManager, Contextualizable, Initializable, Startable

SimplePlexusContainerManager

Version:
  $Revision: 1750 $
Author:
  Mark Wilkinson

### Field Summary

### Fields inherited from interface org.codehaus.plexus.PlexusContainerManager

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`SimplePlexusContainerManager()`

### Method Summary

Methods
`void` `contextualize(Context context)`
`PlexusContainer[]` `getManagedContainers()`
`void` `initialize()`
`void` `start()`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimplePlexusContainerManager

    public SimplePlexusContainerManager()

### Method Detail

#### contextualize

    public void contextualize(Context context)
                       throws ContextException

Specified by:
  `contextualize` in interface `Contextualizable`
Throws:
  `ContextException`

#### initialize

    public void initialize()
                    throws InitializationException

Specified by:
  `initialize` in interface `Initializable`
Throws:
  `InitializationException`

#### start

    public void start()
               throws StartingException

Specified by:
  `start` in interface `Startable`
Throws:
  `StartingException`

#### stop

    public void stop()

Specified by:
  `stop` in interface `Startable`

#### getManagedContainers

    public PlexusContainer[] getManagedContainers()

Specified by:
  `getManagedContainers` in interface `PlexusContainerManager`